Sosemanuk Struct Reference

Sosemanuk More...

`#include <sosemanuk.h>`

Inheritance diagram for Sosemanuk:

## Public Types

typedef SymmetricCipherFinal< ConcretePolicyHolder< SosemanukPolicy, AdditiveCipherTemplate<> >, SosemanukInfo > | Encryption
typedef Encryption | Decryption

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t n)

## Static Public Attributes

static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | KEYLENGTH_MULTIPLE
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

Sosemanuk

Definition at line 32 of file sosemanuk.h.

The documentation for this struct was generated from the following file:

- sosemanuk.h